Name:          python-cryptography
Version:       41.0.4
Release:       1mamba
Summary:       Cryptographic recipes and primitives to Python developers
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pyca/cryptography
Source:        https://pypi.debian.net/cryptography/cryptography-%{version}.tar.gz
Patch0:        python-cryptography-1.5.2-fix_available_backends.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libopenssl-devel
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(cffi)
## AUTOBUILDREQ-END
BuildRequires: python-setuptools-rust-py3
BuildRequires: python-setuptools-rust-py310

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n cryptography-%{version}
#%patch0 -p1

%build
# https://github.com/pyca/cryptography/issues/9023
CC=clang RUSTFLAGS+="-Clinker-plugin-lto -Clinker=clang -Clink-arg=-fuse-ld=lld" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist
   
sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

#%if "0%{with_pyver}" != "03"
## workaround for build-id file conflict
#rm -f %{buildroot}%{python_sitearch}/cryptography/hazmat/bindings/_rust.abi*.so
#%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/cryptography-%{version}-py*.egg-info
%{python_sitearch}/cryptography-%{version}-py*.egg-info/*
%{python_sitearch}/cryptography/hazmat/bindings/_rust.abi*.so
%doc LICENSE

%changelog
* Wed Sep 20 2023 Automatic Build System <autodist@mambasoft.it> 41.0.4-1mamba
- automatic version update by autodist

* Tue Aug 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 41.0.3-2mamba
- rebuilt with clang to fix issue seend with certbot

* Wed Aug 02 2023 Automatic Build System <autodist@mambasoft.it> 41.0.3-1mamba
- automatic version update by autodist

* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 41.0.2-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 41.0.1-1mamba
- automatic version update by autodist

* Wed May 31 2023 Automatic Build System <autodist@mambasoft.it> 41.0.0-1mamba
- automatic version update by autodist

* Sat Apr 15 2023 Automatic Build System <autodist@mambasoft.it> 40.0.2-1mamba
- automatic version update by autodist

* Sat Mar 25 2023 Automatic Build System <autodist@mambasoft.it> 40.0.1-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 40.0.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 39.0.2-1mamba
- automatic version update by autodist

* Wed Feb 08 2023 Automatic Build System <autodist@mambasoft.it> 39.0.1-1mamba
- automatic version update by autodist

* Mon Jan 02 2023 Automatic Build System <autodist@mambasoft.it> 39.0.0-1mamba
- automatic version update by autodist

* Mon Nov 28 2022 Automatic Build System <autodist@mambasoft.it> 38.0.4-1mamba
- automatic version update by autodist

* Wed Nov 02 2022 Automatic Build System <autodist@mambasoft.it> 38.0.3-1mamba
- automatic version update by autodist

* Wed Oct 12 2022 Automatic Build System <autodist@mambasoft.it> 38.0.2-1mamba
- automatic version update by autodist

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 38.0.1-1mamba
- automatic version update by autodist

* Thu Jul 07 2022 Automatic Build System <autodist@mambasoft.it> 37.0.4-1mamba
- automatic version update by autodist

* Wed Jun 22 2022 Automatic Build System <autodist@mambasoft.it> 37.0.3-1mamba
- automatic version update by autodist

* Thu May 05 2022 Automatic Build System <autodist@mambasoft.it> 37.0.2-1mamba
- automatic version update by autodist

* Thu Apr 28 2022 Automatic Build System <autodist@mambasoft.it> 37.0.1-1mamba
- automatic version update by autodist

* Wed Apr 27 2022 Automatic Build System <autodist@mambasoft.it> 37.0.0-1mamba
- automatic version update by autodist

* Fri Apr 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 36.0.2-2mamba
- rebuilt with python 3.10

* Wed Mar 16 2022 Automatic Build System <autodist@mambasoft.it> 36.0.2-1mamba
- automatic version update by autodist

* Sat Jan 22 2022 Automatic Build System <autodist@mambasoft.it> 36.0.1-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-1mamba
- update to 3.3.2

* Fri Dec 11 2020 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Thu Dec 10 2020 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Wed Oct 28 2020 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Oct 26 2020 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Tue Sep 22 2020 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Sun Aug 30 2020 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Mon Jul 27 2020 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9-1mamba
- update to 2.9

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Wed Jun 26 2019 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Fri Mar 08 2019 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Mon Feb 04 2019 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Wed Nov 21 2018 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Wed Aug 15 2018 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Thu Mar 29 2018 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Mon Mar 19 2018 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic update by autodist

* Sat Nov 04 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3-1mamba
- update to 2.1.3

* Fri Apr 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-3mamba
- fix typo in requirement

* Thu Apr 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-2mamba
- require python-packaging and python-asn1crypto

* Fri Mar 17 2017 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sun Jan 29 2017 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Wed Dec 14 2016 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Tue Dec 13 2016 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Thu Dec 01 2016 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Sun Nov 06 2016 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-2mamba
- patched to fix no _available_backends problem (see http://stackoverflow.com/questions/38277915/python-cryptography-multibackend-cannot-be-innitialized#38285941)

* Tue Sep 27 2016 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Fri Sep 23 2016 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Fri Jun 03 2016 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Tue Mar 22 2016 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Sat Mar 19 2016 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Sat Mar 12 2016 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sat Jan 30 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Fri Dec 11 2015 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- package created using the webbuild interface
